import { ArrowFunctionExpression, AssignmentExpression, CallExpression, Class, Expression, Function, FunctionExpression, Identifier, MemberExpression, VariableDeclaration } from 'estel-estree-builder/generated/es2015';
export declare const arrow: (...body: any[]) => ArrowFunctionExpression;
export declare const callFn: (callee: any, args: any) => CallExpression;
export declare const buildBeforeEach: (propDefs: any) => CallExpression;
export declare const buildRenderFunc: (name: any, propTypes?: any[]) => Function;
export declare const buildItBlock: (desc: any, expressions: Expression[]) => CallExpression;
export declare const buildClass: (className: string, superClass: string, methods: any) => Class;
export declare const buildImportStmts: (namedImportMaps: any, defaultImportMaps: any, exportSuiteTrees?: any[]) => Identifier[];
export declare const dot: (target: any, prop: any) => MemberExpression;
export declare const assign: (left: any, right: any) => AssignmentExpression;
export declare const fnArgs: (args: any, ...rest: any[]) => FunctionExpression;
export declare const fn: (...body: any[]) => FunctionExpression;
export declare const vr: (name: any, val: any) => VariableDeclaration;
export declare const cnst: (name: any, val: any) => VariableDeclaration;
export declare const lt: (name: any, val?: any) => VariableDeclaration;
export declare const raw: (name: string, loc?: import("../../../../../../Users/esholl/Code/eddiesholl/fancy-react-core/node_modules/estel-estree-builder/generated/es2015").SourceLocation) => {
    type: string;
    name: string;
    loc: import("../../../../../../Users/esholl/Code/eddiesholl/fancy-react-core/node_modules/estel-estree-builder/generated/es2015").SourceLocation;
};
